perl-Dist-Zilla-Plugin-Test-MinimumVersion-2.000010-alt1.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-Test-MinimumVersion - Release tests for minimum required versions

Property Value
Distribution ALT Linux Sisyphus
Repository Classic noarch
Package filename perl-Dist-Zilla-Plugin-Test-MinimumVersion-2.000010-alt1.noarch.rpm
Package name perl-Dist-Zilla-Plugin-Test-MinimumVersion
Package version 2.000010
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 8.59 KB
Installed size 8.59 KB
Perl module Dist::Zilla::Plugin::Test::MinimumVersion is an
extension of Dist::Zilla::Plugin::InlineFiles, providing
test for the highest Perl version you want to require.

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-Test-MinimumVersion - - -

Requires

Name Value
/usr/share/perl5 -
perl(Data/Section.pm) >= 0.004
perl(Dist/Zilla/File/InMemory.pm) -
perl(Dist/Zilla/Role/FileGatherer.pm) -
perl(Dist/Zilla/Role/FileMunger.pm) -
perl(Dist/Zilla/Role/PrereqSource.pm) -
perl(Dist/Zilla/Role/TextTemplate.pm) -
perl(List/Util.pm) -
perl(Moose.pm) -
perl(Moose/Util/TypeConstraints.pm) -
perl(Sub/Exporter/ForMethods.pm) -
perl(constant.pm) -
perl(namespace/autoclean.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dist/Zilla/Plugin/MinimumVersionTests.pm) = 2.0.010
perl(Dist/Zilla/Plugin/Test/MinimumVersion.pm) = 2.0.010
perl-Dist-Zilla-Plugin-Test-MinimumVersion = 2.000010-alt1:sisyphus+235432.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Dist-Zilla-Plugin-Test-MinimumVersion-2.000010-alt1.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-Test-MinimumVersion-2.000010-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dist-Zilla-Plugin-Test-MinimumVersion rpm package:
    # sudo apt-get install perl-Dist-Zilla-Plugin-Test-MinimumVersion

Files

Path
/usr/share/doc/perl-Dist-Zilla-Plugin-Test-MinimumVersion-2.000010/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-Test-MinimumVersion-2.000010/README
/usr/share/perl5/Dist/Zilla/Plugin/MinimumVersionTests.pm
/usr/share/perl5/Dist/Zilla/Plugin/Test/MinimumVersion.pm

Changelog

2019-08-04 - Nikolay A. Fetisov <naf@altlinux.org> 2.000010-alt1
- New version
2018-04-07 - Nikolay A. Fetisov <naf@altlinux.org> 2.000008-alt1
- Build for M80P
2016-11-06 - Nikolay A. Fetisov <naf@altlinux.ru> 2.000007-alt1
- New version
2016-01-10 - Nikolay A. Fetisov <naf@altlinux.ru> 2.000006-alt2
- Bump release to override package from autoimports/Sisyphus repository
2015-12-20 - Nikolay A. Fetisov <naf@altlinux.ru> 2.000006-alt1
- Initial build for ALT Linux Sisyphus

See Also

Package Description
perl-Dist-Zilla-Plugin-Test-Perl-Critic-3.001-alt1.noarch.rpm Dist::Zilla tests to check code against best practices
perl-Dist-Zilla-Plugin-Test-ReportPrereqs-0.027-alt1.noarch.rpm Report on prerequisite versions during automated testing
perl-Dist-Zilla-PluginBundle-RJBS-5.010-alt2.noarch.rpm BeLike::RJBS when you build your dists
perl-Dist-Zilla-Role-Bootstrap-1.001004-alt1.noarch.rpm Dist::Zilla module with shared logic for bootstrap things
perl-Dist-Zilla-Role-DynamicConfig-1.002-alt4.noarch.rpm Dist::Zilla role that accepts a dynamic configuration
perl-Dist-Zilla-Role-ModuleMetadata-0.006-alt1.noarch.rpm a role for plugins that use Module::Metadata
perl-Dist-Zilla-Role-RegisterStash-0.003-alt2.noarch.rpm Dist::Zilla plugin that can register stashes
perl-Dist-Zilla-Role-Stash-Plugins-1.006-alt3.noarch.rpm Dist::Zilla Stash that stores arguments for plugins
perl-Dist-Zilla-Stash-PodWeaver-1.005-alt2.noarch.rpm Dist::Zilla plugin to stash of config options for Pod::Weaver
perl-Dist-Zilla-Util-ConfigDumper-0.003009-alt1.noarch.rpm A Dist::Zilla plugin configuration extraction utility
perl-Dist-Zilla-Util-Test-KENTNL-1.005014-alt1.noarch.rpm KENTNL's DZil plugin testing tool
perl-DistroMap-0.392-alt1.noarch.rpm DistroMap - Perl interface for DistroMap database
perl-Dpkg-1.19.6-alt1.noarch.rpm Package maintenance system for Debian Linux
perl-DublinCore-Record-0.03-alt2.1.noarch.rpm DublinCore-Record - Perl module
perl-Dumbbench-0.111-alt1.noarch.rpm Perl module for reliable benchmarking with the least amount of thinking
Advertisement
Advertisement